<mat-toolbar class="side-toolbar">
  <app-logo></app-logo>
</mat-toolbar>

<mat-nav-list class="nav-item-container">
  <ng-container *ngFor="let navItem of (navItems$ | async)">
    <a *ngIf = "!isNil(navItem) && navItem.type === 'link'"
       mat-list-item
       class="nav-item-link"
       [routerLink]="navItem.link"
    >
      <mat-icon *ngIf="!isNil(navItem.icon)"
                matListItemIcon
                [svgIcon]="navItem.icon"
      ></mat-icon>

      {{ navItem.title }}
    </a>

    <mat-divider *ngIf="!isNil(navItem) && navItem.type==='divider'">
    </mat-divider>
  </ng-container>
</mat-nav-list>
